# coding: utf-8

import numpy as np
#%matplotlib inline
#import pylab as pl
#import seaborn
import os

name = "drv5"
folder = "C:/Users/nui/Documents/VituixCAD/Projects/"
subfolder = "%s/" % name

meas = np.loadtxt(os.path.join(folder,"%s.txt" % name))

freq = meas[:,0]
spl = meas[:,1::2]
phase = meas[:,2::2]

n_freqs = freq.shape[0]
n_angles = spl.shape[1]
angles = [180 - x * 360/n_angles for x in range(n_angles)][::-1]

# frequency plot
#for i in range(n_angles):
#    if angles[i] < 0:
#        continue
#    pl.plot(freq, spl[:,i], label=angles[i])
#pl.semilogx()
#pl.xlim(xmin=20, xmax=20000)
#pl.legend()

fn = os.path.join(folder, subfolder, "%s_%s_%1.0f.txt")
print ("attempting to write into this folder:", os.path.join(folder, subfolder))
for d in ["hor"]:
    for i in range(0, n_angles, 3 if d == "ver" else 1):
        if angles[i] < 0:
            continue
        #print(fn % (name, d, angles[i]))
        file = open(fn % (name, d, angles[i]), "w")

        file.write("Freq[Hz]\tdBSPL\tPhase[Deg]\n")
        for n in range(n_freqs):
            file.write("%.3f\t%.3f\t%.3f\n" % (freq[n], spl[n,i], phase[n,i]))

        file.close()
